تقارب

انتساب
اشعارات
حذف الجميع

دروس متطلبات الخادم الواجب توافرها عند تنصيب منتدى wpforo

1 مشاركات
1 أعضاء
0 إعجابات
484 مشاهدات
أحمد فؤاد
(@tqarb)
مشاركات: 84
نقاط السمعة: 330
الإدارة
الكاتب
 

متطلبات الخادم
لتشغيل wpForo ، نوصي بأن يدعم مضيفك:

  • PHP version 5.6 or greater
    • PHP DateTime Class
    • PHP XML Parser (for PHP7, enable php7.0-xml extension)
    • PHP Limits (recommended)
      • memory_limit = 256M
      • upload_max_filesize = 128M
      • post_max_size = 128M
      • max_execution_time = 180
      • max_input_vars = 10000
    • PHP Multibit String Functions
      • mbstring.language = all
      • mbstring.internal_encoding = UTF-8
      • mbstring.http_input = auto
      • mbstring.http_output = UTF-8
      • mbstring.encoding_translation = On
      • mbstring.detect_order = UTF-8
      • mbstring.substitute_character = none;
      • mbstring.func_overload = 0
      • mbstring.strict_encoding = Off
  • MySQL version 5.6 or greater
    • InnoDB support (recommended)
  • Apache

نوصي باستخدام Apache أو Nginx كخادم أقوى وأكثر ميزات لتشغيل wpForo ، ولكن أي خادم يدعم PHP و MySQL سيفي بالغرض. ومع ذلك ، لا يمكننا اختبار كل بيئة ممكنة ويدعم كل مضيف على صفحة الاستضافة الخاصة بنا ما سبق وأكثر ، مثل Kinsta (مزود استضافة WordPress المُدار المتميز) دون أي مشاكل.

ملاحظة: إذا كنت في بيئة قديمة حيث لديك فقط إصدارات أقدم من PHP أو MySQL ، فإن wpForo يعمل أيضًا مع PHP 5.2.4+ و MySQL 5.0+ ، ولكن هذه الإصدارات وصلت رسميًا إلى نهاية الحياة وبالتالي قد تعرض موقعك إلى الثغرات الأمنية.

سبحان الله وبحمده .. سبحان الله العظيم

 
تم النشر : 20 يونيو، 2021 6:30 م
وسوم الموضوع
شارك المنتدى: